## btusb-broadcom-dkms 1.1

=== btusb-broadcom/Makefile ===
KVER?= $(shell uname -r)
obj-m	+= btusb.o

all:
	make -C /lib/modules/$(KVER)/build M=`pwd`

clean:
	make -C /lib/modules/$(KVER)/build M=`pwd` clean

.PHONY: all clean

=== debian/changelog ===
btusb-broadcom-dkms (1.1) trusty; urgency=medium

  * Add btbcm-broadcom-dkms to Depends (LP: #1653641)
  * btusb-broadcom-dkms for kernel 3.19.*
    btbcm-broadcom-dkms for kernel 4.4.*
    Please make sure you have both of them in your iso image or
    you upload both of them to archive

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 05 Jan 2017 16:22:54 +0800

btusb-broadcom-dkms (1.0) trusty; urgency=medium

  * Add a small delay before Bluetooth device loads firmware. (LP: #1464567)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 15 Jul 2015 11:31:22 +0800

=== debian/control ===
Source: btusb-broadcom-dkms
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: btusb-broadcom-dkms
Architecture: all
Depends: dkms (>= 1.95), btbcm-broadcom-dkms, ${misc:Depends}
Conflicts: btusb-dw1708-dkms
Replaces: btusb-dw1708-dkms
Description: btusb-broadcom driver in DKMS format.
 This package contains some fixes to Broadcome Bluetooth.
 Eventually those fixes will be pushed to upstream,
 this package will be retired when the time arrived.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=btusb-broadcom
NAME=btusb-broadcom
VERSION=1.1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
